#!/bin/bash
#Copyright (c) 2012, Novell, Inc.  All rights reserved.
#
#The script will append the contexts (passed as parameter) to the afpdircxt.conf file

AFPCXTFILE=/etc/opt/novell/afptcpd/afpdircxt.conf
CONFFILEPATH=/etc/opt/novell/afptcpd/afptcpd.conf
LOG_FILE="/var/opt/novell/log/proxymgmt/pxymgmt.log"
touch "$AFPCXTFILE"

if [ $# = "0" ]; then
        echo "Usage: afp-config.sh <Enable/Disable subtree search> <context1> <context2> ...";
        exit 1
fi

# make sure file exists
if [ ! -f $CONFFILEPATH ]; then
        echo "$CONFFILEPATH: does not exists" >> $LOG_FILE
        echo "$CONFFILEPATH: does not exists"
        exit 2
fi

subtreeSearch=$1

#For updating SubTreeSearch
if [ $subtreeSearch == 1 ]; then
	sed -i 's/^SUBTREE_SEARCH.*/SUBTREE_SEARCH 	yes/'  $CONFFILEPATH
else 
	sed -i 's/^SUBTREE_SEARCH.*/SUBTREE_SEARCH 	no/'   $CONFFILEPATH
fi

shift 1
#For updating afpdircxt.conf file
echo "########################################################"> $AFPCXTFILE
echo "#             Novell AFP User Context file            #">> $AFPCXTFILE
echo "########################################################">> $AFPCXTFILE
echo "###  Please do not modify this file, changes will be ignored.">> $AFPCXTFILE
echo "###  Use iManager to edit the user contexts" >> $AFPCXTFILE
while [ $# -ge 1 ]
do
	pat=`echo $1 | sed 's/\./\\\./g'`
	if  ! grep -i "^[[:space:]]*$pat[[:space:]]*$" $AFPCXTFILE 1>/dev/null;
	then
		echo "$1" | tr , . >>$AFPCXTFILE
	fi
	shift
done

exit 0
