#!/bin/bash
#
#Copyright (c) 2012, Novell, Inc.  All rights reserved.
#
#Script to add a new user for AFP service.

user_id=`id -u`
if test $user_id -ne 0
then 
	echo "afp_create_proxy_user.sh : Only root user can run this script"
	exit 1
fi
LOG_FILE="/var/opt/novell/log/proxymgmt/pxymgmt.log"
if test $# == 5
then 
	TMP_ADD_PROXYUSER_LDIFFILE=/tmp/addafpproxy.ldif
	LDAP_ADD_BINARY=/usr/bin/ldapadd
        LDAP_SEARCH_BINARY=/usr/bin/ldapsearch
        ssl=$5
	mkdir -p /tmp
	touch $TMP_ADD_PROXYUSER_LDIFFILE
	echo "dn: "$1 >> $TMP_ADD_PROXYUSER_LDIFFILE
	echo "givenName: User" >> $TMP_ADD_PROXYUSER_LDIFFILE
	echo "sn: AFPProxy" >> $TMP_ADD_PROXYUSER_LDIFFILE
	echo "objectClass: inetOrgPerson" >> $TMP_ADD_PROXYUSER_LDIFFILE
	echo "userPassword: "$OES_AFP_DATA >> $TMP_ADD_PROXYUSER_LDIFFILE
        
	if [ $ssl != 0 ]
	then
	         env LDAPTLS_CACERT=/etc/opt/novell/certs/SSCert.pem $LDAP_ADD_BINARY -f $TMP_ADD_PROXYUSER_LDIFFILE -D "$2" -w "$OES_DATA" -H "ldaps://$3:$4" >>$LOG_FILE 2>&1
	else
	         env LDAPTLS_CACERT=/etc/opt/novell/certs/SSCert.pem $LDAP_ADD_BINARY -f $TMP_ADD_PROXYUSER_LDIFFILE -D "$2" -w "$OES_DATA" -H "ldap://$3:$4" >>$LOG_FILE 2>&1
        fi
               
	LDAP_ADD_OUT=$?
	rm $TMP_ADD_PROXYUSER_LDIFFILE
	
        if test  $LDAP_ADD_OUT == 68
              then
			if [ $ssl != 0 ]
			then
				env LDAPTLS_CACERT=/etc/opt/novell/certs/SSCert.pem $LDAP_SEARCH_BINARY -b "" -s base -D "$1" -w "$OES_AFP_DATA" -H "ldaps://$3:$4" >>$LOG_FILE 2>&1
			else
				env LDAPTLS_CACERT=/etc/opt/novell/certs/SSCert.pem $LDAP_SEARCH_BINARY -b "" -s base -D "$1" -w "$OES_AFP_DATA" -H "ldap://$3:$4" >>$LOG_FILE 2>&1
			fi

                      LDAP_SRCH_OUT=$?
                      if test $LDAP_SRCH_OUT != 0
                      then
			      echo "[ERROR] User is already existing but credentials did not match" >> $LOG_FILE
                              echo "AFP Proxy User creation failed. Check log file $LOG_FILE for more details"
		      else
			      echo "Proxy User already existing in eDirectory" >> $LOG_FILE
		      fi
                      exit $LDAP_SRCH_OUT
        fi
      
        if test $LDAP_ADD_OUT != 0
        then
		echo "AFP Proxy User creation failed. Return value: $LDAP_ADD_OUT" >> $LOG_FILE
                echo "AFP Proxy User creation failed. Check log file $LOG_FILE for more details"
                exit $LDAP_ADD_OUT
        fi
        exit 0
else
	echo "Usage: afp_create_proxy_user.sh <proxy_fdn> <bind_fdn> <ldapserver_ip> <ldap_port> <SSL/NonSSL>"
	echo "<proxy_fdn> and <bind_fdn> should be in LDAP format"
	echo "Usage Example: /opt/novell/afptcpd/bin/afp_create_proxy_user.sh cn=OESCommonProxy_wgp-sspl-42,o=novell cn=admin,o=novell localhost 636 SSL"
	exit 1
fi
