#!/bin/bash
#
#Copyright (c) 2012, Novell, Inc.  All rights reserved.
#
#Script to interactively/parametrically add a user credentials (fdn/passwd) 
#as afp-casa record into local OCS store and do some support work.
LOG_FILE="/var/opt/novell/log/proxymgmt/pxymgmt.log"
user_id=`id -u`
if test $user_id -ne 0
then 
	echo "afp_update_proxy_cred.sh: Only root user can run this script"
	exit 1
fi

if [ $# != "1" ]; then
        echo "Usage: afp_update_proxy_cred.sh <proxy_fdn>"
        exit 2
fi
        username=$1
        username=`echo $username | tr , . | sed 's/.st=/.s=/g'`

	passwd="$OES_AFP_DATA"

	/usr/sbin/oescredstore -s -n afp-casa -u "$username" -p "$passwd"
        temp=$?
	if [ $temp != 0 ]
	then
		echo "[Error]: Failed to store ProxyUser name and password in OCS, Return value: $temp" >> $LOG_FILE 
                echo "Update Proxy Credentials Failed. Check log for more details"
		exit 5
	fi
exit 0
