#!/bin/sh
#
#Copyright (c) 2008, Novell, Inc.  All rights reserved.
#
#Script to check if the avahi (zero-conf/Bonjour) 
#daemon is running and start the daemon if it is not.


user_id=`id -u`

if test $user_id -ne 0
then
        echo "bonjour_afp: only root user can run this script"
	exit 1
fi

# Check if the Avahi daemon is running
if [ -f "/etc/init.d/avahi-daemon" ]; then

	/etc/init.d/avahi-daemon status 1>&2 > /dev/null

	if [ $? = "0" ]; then
		AVAHI_RUNNING="true"
	else
		AVAHI_RUNNING="false"
	fi

fi

# Start the daemon if it is not running
if [ $AVAHI_RUNNING = "false" ]; then

	/etc/init.d/avahi-daemon start

fi
