#!/bin/bash
#
#Copyright (c) 2008, Novell, Inc.  All rights reserved.
#
#Script that is used during load and unload script of an AFP Cluster 

AFP_LOG_FILE=/var/opt/novell/log/afptcp.log

if [ $# != 3 ]
then
	echo "[afptcpd] CLUSTER ERROR : cluster script is not called with enough arguments" >> $AFP_LOG_FILE
	echo "[afptcpd] USAGE: cluster_afp.sh <add/del> <pool_server_name> <cluster_ip_resource>" >> $AFP_LOG_FILE
	exit 1
fi

#During load - start the afp daemon - for a Active-Passive case OR reload the afp daemon for a Active-Active case
if test $1 == "add"
then
	rcnovell-afptcpd status &> /dev/null

	if test $? -eq 0 
	then 
		rcnovell-afptcpd reload 
	else 
		rcnovell-afptcpd start 
	fi

	sleep 2;   # Wait for the start or reload to complete - useful if the machine is heavily loaded or inherently slow.
fi

# afpbind
/opt/novell/afptcpd/bin/afpbind $1 "$2" $3
exit $?
