#!/bin/sh

# Copyright (c) 2009, Novell, Inc.  All rights reserved.

#This script will be handling all the upgrade related issues for AFP.

user_id=`id -u`
if test $user_id -ne 0
then
    echo "upgrade_afp : Only root user can run this script"
    exit 1
fi
		
# Enable syslog service for afp
systemctl restart rsyslog.service &> /dev/null

echo "Enabled syslog service for AFP."


# Add afptcpd audit rules

export AFP_AUDIT_ADD_RULES="/etc/audit.rules"
grep -qi "afptcpd" $AFP_AUDIT_ADD_RULES
if [ $? -eq 1 ]
then 
	echo "-f 0 -w /etc/opt/novell/afptcpd/afptcpd.conf -p wa" >> $AFP_AUDIT_ADD_RULES
	echo "-f 0 -w /etc/opt/novell/afptcpd/afpvols.conf -p wa" >> $AFP_AUDIT_ADD_RULES
	echo "-f 0 -w /etc/opt/novell/afptcpd/afpdircxt.conf -p wa" >> $AFP_AUDIT_ADD_RULES
	echo "-f 0 -w /opt/novell/afptcpd/bin/casaforafp -p wxra" >>  $AFP_AUDIT_ADD_RULES

	echo "Enabled audit logging for AFP."
fi
